#include <bits/stdc++.h>
#define ll long long
#define ld long double
#define sp ' '
#define en '\n'
using namespace std;
const int N = 2e5 + 5;
const ll mod = 1e9 + 7;
int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    string s;
    int a, b;
    cin >> s >> a >> b;
    if (a < b) {
        swap(a, b);
        reverse(s.begin(), s.end());
    }
    if (a - b < 2) {
        for (int i = 0; i < a + b; i++) {
            if (i % 2 == 0) cout << s[0];
            else cout << s[1];
        }
        cout << en;
    }
    else cout << "nemoguce" << en;
    return 0;

}